#ifndef SYSTEMITEMSETTINGSWIDGET_H
#define SYSTEMITEMSETTINGSWIDGET_H

#include <QWidget>
#include <memory>
#include "../../items/systemitem.h"

namespace Ui
{
class SystemItemSettingsWidget;
}

class SystemItemSettingsWidget : public QWidget
{
	Q_OBJECT
	std::weak_ptr<SystemItem> item_;

private slots:

	void setOn(const QString &in);
	void setOff(const QString &in);

public:
	explicit SystemItemSettingsWidget(std::weak_ptr<SystemItem> item, QWidget *parent = nullptr);
	~SystemItemSettingsWidget();

private:
	Ui::SystemItemSettingsWidget *ui;
};

#endif // SYSTEMITEMSETTINGSWIDGET_H
